﻿/*
Created by: X
http://www.createdbyx.com/

This work is licensed under a Creative Commons Attribution-Noncommercial-Share Alike 2.5 Canada License 
http://creativecommons.org/licenses/by-nc-sa/2.5/ca/. 
Permissions beyond the scope of this license may be available at http://contact.createdbyx.com/.
*/

namespace xCollectiveXNA
{
    /// <summary>
    /// Used by the GenericDictionary class for raising events.
    /// </summary>
    /// <typeparam name="K">The key type of objects that the dictionary will store.</typeparam>
    /// <typeparam name="T">The type of objects that the dictionary will store.</typeparam>
    public class KeyValueEventArgs<K,T> : System.ComponentModel.CancelEventArgs
    {
        /// <summary>
        /// Gets or sets the reference to the key in the dictionary.
        /// </summary>
        public K Key { get; set; }
        /// <summary>
        /// Gets or sets the reference to the item in the dictionary.
        /// </summary>
        public T Value { get; set; }
    }
}
